List all survey templates
GET
/v1/Survey/Surveys
const url = 'https://rms.dev.caspeco.net/api/booking/v1/Survey/Surveys';const options = {method: 'GET', headers: {system: 'example', Authorization: 'Bearer <token>'}};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request GET \ --url https://rms.dev.caspeco.net/api/booking/v1/Survey/Surveys \ --header 'Authorization: Bearer <token>' \ --header 'system: example'List all surveys
Authorizations
Section titled “Authorizations”Parameters
Section titled “Parameters”Header Parameters
Section titled “Header Parameters”system
required
string
The system name / database to query
Responses
Section titled “Responses”The specified Survey structures
Media typeapplication/json
Array<object>
object
id
required
string format: guid
revision
required
integer format: int64
createdTime
string format: date-time
changedTime
string format: date-time
createdBy
string
changedBy
string
status
integer
statusMessage
string
content
required
object
title
required
string
description
string
pages
required
Array<object>
object
title
string
description
string
sections
required
Array<object>
object
title
string
description
string
questions
required
Array<object>
object
id
integer format: int64
ref
string
title
required
string
description
string
required
boolean
questionType
integer
questionScale
One of:
object
min
required
integer format: int32
max
required
integer format: int32
minLabel
string
maxLabel
string
value
integer format: int64
questionText
One of:
object
multiLine
boolean
value
string
confirmationText
string
emailContent
One of:
object
sendSubject
string
sendTitle
string
sendText
string
remindSubject
string
remindTitle
string
remindText
string
linkText
string
fromDisplayName
string
linksHeader
string
fromEmail
integer
viewerType
integer
Example
{ "application/json": [ { "id": "ff07bf69-8453-4c1b-b407-1a3467a4109a", "revision": 13, "createdTime": "2025-12-01T07:50:09.657728+00:00", "changedTime": "2025-12-01T07:50:09.6577263+00:00", "createdBy": "user", "changedBy": "admin", "status": 0, "statusMessage": "Survey changed", "content": { "title": "Utvärdering av Lennart's restaurang", "description": "Hej {{name}} och tack för ditt besök hos oss på Lennart's. Ta dig gärna tid att fylla i denna utvärdering", "pages": [ { "title": "Sida ett", "sections": [ { "title": "Upplevelsen", "description": "Hur upplevde du besöket?", "questions": [ { "id": 0, "title": "Vad tyckte du om upplevelsen?", "description": "Välj på skalan hur du uppfattade besöket.", "required": true, "questionType": 2, "questionScale": { "min": 1, "max": 10, "minLabel": "Avskyvärt", "maxLabel": "Väldigt trevligt" } }, { "id": 1, "title": "Beskriv upplevelsen", "description": "Förklara i klartext hur du uppfattade besöket", "required": false, "questionType": 1, "questionText": { "multiLine": false } } ] } ] } ], "confirmationText": "Tack för att du tog dig tid!" }, "emailContent": { "sendSubject": "Hej {{name}} och tack för besöket på Lennart's!", "sendTitle": "Enkät", "sendText": "Vi skulle uppskatta om du tog dig tid att svara på denna enkäten om ditt besök. {{personalMsg}}.", "remindSubject": "Påminnelse om enkät", "remindTitle": "Enkät", "remindText": "Glöm inte bort att svara på enkäten om ditt besök! Tack på förhand.", "linkText": "Klicka här för att fylla i enkät", "fromDisplayName": "Caspeco Surveys", "linksHeader": "Enkätlänken", "fromEmail": 0 }, "viewerType": 0 }, { "id": "ecbc0b3b-24cb-4cb8-a2d9-1fbad16dd6d3", "revision": 1, "createdTime": "2025-12-01T07:50:09.6577346+00:00", "changedTime": "2025-12-01T07:50:09.6577344+00:00", "createdBy": "user", "changedBy": "admin", "status": 0, "statusMessage": "Survey added", "content": { "title": "Evaluation of caddie", "description": "Thank you for your patronage. Please fill out this evaluation regarding your caddie", "pages": [ { "title": "Page One", "sections": [ { "title": "Appearance", "description": "How was the behaviour and outward appearance of your caddie?", "questions": [ { "id": 0, "title": "How well mannered was your caddie?", "description": "Choose on the scale your impression of your caddie's behaviour.", "required": true, "questionType": 2, "questionScale": { "min": 1, "max": 5, "minLabel": "Despicable", "maxLabel": "Amicable" } }, { "id": 1, "title": "How well was your caddie dressed?", "description": "Choose on the scale your impression of your caddie's appearance.", "required": true, "questionType": 2, "questionScale": { "min": 1, "max": 5, "minLabel": "Appalling", "maxLabel": "Dashing" } } ] }, { "title": "Skill", "description": "How skilled was your caddie?", "questions": [ { "id": 0, "title": "How knowledgable and helpful was your caddie?", "description": "Choose on the scale your impression of your caddie's helpfulness.", "required": true, "questionType": 2, "questionScale": { "min": 1, "max": 5, "minLabel": "Incompetent", "maxLabel": "Competent" } } ] } ] } ] }, "emailContent": { "sendSubject": "Thank you for choosing our Caddie services!", "sendTitle": "Survey", "sendText": "Please fill out this survey on your experience with our caddies.", "remindSubject": "Thank you for choosing our Caddie services! (Reminder)", "remindTitle": "Survey", "remindText": "Please do not forget to fill out this survey on your experience with our caddies.", "linkText": "Click here to take survey", "fromDisplayName": "Caddie World Survey", "linksHeader": "Survey link", "fromEmail": 1 }, "viewerType": 0 }, { "id": "0c332db0-7aa9-47f9-96ae-2e4dd7eb1a2c", "revision": 1, "createdTime": "2025-12-01T07:50:09.657736+00:00", "changedTime": "2025-12-01T07:50:09.6577359+00:00", "createdBy": "user", "changedBy": "admin", "status": 0, "statusMessage": "Survey added", "content": { "title": "Caddie evaluation survey", "description": "Thank you for using our services. Please fill out the following survey.", "pages": [ { "title": "", "sections": [ { "title": "Questions", "description": "", "questions": [ { "id": 1, "title": "How good was the social interaction with your caddie?", "description": "", "required": true, "questionType": 2, "questionScale": { "min": 1, "max": 5, "minLabel": "Bad", "maxLabel": "Very good" } }, { "id": 2, "title": "How well did your caddie care for the course?", "description": "Repairing divots and ballmarks, raking bunkers (not only from your play, but also from other groups).", "required": true, "questionType": 2, "questionScale": { "min": 1, "max": 5, "minLabel": "Bad", "maxLabel": "Very well" } }, { "id": 3, "title": "How effective was your caddie at helping your game?", "description": "Club selection, course management, etc.", "required": true, "questionType": 2, "questionScale": { "min": 1, "max": 5, "minLabel": "Not effective", "maxLabel": "Very effective" } }, { "id": 0, "title": "How effective was your caddie at reading greens?", "description": "", "required": true, "questionType": 2, "questionScale": { "min": 1, "max": 5, "minLabel": "Not effective", "maxLabel": "Very effective" } } ] } ] } ] }, "emailContent": { "sendSubject": "Survey CaddieWorld", "sendTitle": "CaddieWorld Survey", "sendText": "Please take your time to fill out this survey on your experience with your caddie.", "remindSubject": "Survey CaddieWorld Reminder", "remindTitle": "CaddieWorld Survey", "remindText": "Please take your time to fill out this survey on your experience with your caddie.", "linkText": "Click here to take survey", "fromDisplayName": "Caddie World Survey", "linksHeader": "Survey link", "fromEmail": 1 }, "viewerType": 0 } ]}